Skip to main content
数据导入

删除类目

删除指定的类目

POST
/api/v1/connector/dash/deleteCategory
cURL
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/connector/dash/deleteCategory" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "categoryId": "cate_abc123"
  }'
{
  "code": "Success",
  "message": "",
  "messageUnmodified": false,
  "requestId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "data": {
    "categoryId": "cate_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx"
  },
  "status": 200
}
此操作不可逆。删除类目后,该类目下的文件将变为未归类状态,且无法恢复原有的类目关联关系。请在调用前确认目标类目已无业务依赖。

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面(https://rag.console.aliyun.com/settings/apikey)获取。

Body

application/json
string
required

要删除的类目 ID,通过 listCategory 获取。

Response

200-application/json
string

响应码,成功时为 Success

integer

HTTP 状态码。

string

请求唯一标识,排查问题时请提供此 ID。

object

删除操作无返回数据。